public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: profiles/arch/powerpc/ppc32/, x11-wm/sawfish/, x11-wm/sawfish/files/
@ 2018-05-27 18:02 Pacho Ramos
  0 siblings, 0 replies; only message in thread
From: Pacho Ramos @ 2018-05-27 18:02 UTC (permalink / raw
  To: gentoo-commits

commit:     e799278ed443603d3ea6f9b8e5ca5114d3818b16
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun May 27 17:39:16 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun May 27 18:01:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e799278e

arch/powerpc/ppc32/package.use.mask: use.mask sawfish[kde]

 profiles/arch/powerpc/ppc32/package.use.mask      |  4 ++
 x11-wm/sawfish/files/sawfish-1.12.0-desktop.patch | 19 +++++
 x11-wm/sawfish/sawfish-1.12.0.ebuild              | 87 +++++++++++++++++++++++
 3 files changed, 110 insertions(+)

diff --git a/profiles/arch/powerpc/ppc32/package.use.mask b/profiles/arch/powerpc/ppc32/package.use.mask
index 463a5b3b737..ba62d2f2003 100644
--- a/profiles/arch/powerpc/ppc32/package.use.mask
+++ b/profiles/arch/powerpc/ppc32/package.use.mask
@@ -1,6 +1,10 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
+# Pacho Ramos <pacho@gentoo.org> (27 May 2018)
+# kde-frameworks/kdelibs4support not keyworded on ppc
+x11-wm/sawfish kde
+
 # Andreas Sturmlechner <asturm@gentoo.org> (13 Feb 2018)
 # Requires not yet keyworded dependencies
 sys-libs/gwenhywfar sensors serialport webkit

diff --git a/x11-wm/sawfish/files/sawfish-1.12.0-desktop.patch b/x11-wm/sawfish/files/sawfish-1.12.0-desktop.patch
new file mode 100644
index 00000000000..305155418c6
--- /dev/null
+++ b/x11-wm/sawfish/files/sawfish-1.12.0-desktop.patch
@@ -0,0 +1,19 @@
+diff -ur sawfish_1.12.0.orig/data/sawfish-config.desktop sawfish_1.12.0/data/sawfish-config.desktop
+--- sawfish_1.12.0.orig/data/sawfish-config.desktop	2016-08-13 11:26:23.000000000 +0300
++++ sawfish_1.12.0/data/sawfish-config.desktop	2016-08-13 12:02:33.283152716 +0300
+@@ -3,4 +3,4 @@
+ Name=Sawfish Config
+ Exec=sawfish-config
+ GenericName=Sawfish Config
+-Categories=Utility;Applet;
++Categories=Settings;DesktopSettings;
+diff -ur sawfish_1.12.0.orig/data/sawfish.desktop sawfish_1.12.0/data/sawfish.desktop
+--- sawfish_1.12.0.orig/data/sawfish.desktop	2016-08-13 11:26:23.000000000 +0300
++++ sawfish_1.12.0/data/sawfish.desktop	2016-08-13 12:02:31.790154154 +0300
+@@ -4,5 +4,5 @@
+ Name[el]=Πριονόψαρο (Sawfish)
+ Exec=sawfish
+ GenericName=Sawfish
+-Categories=Utility;DesktopUtility;
++Categories=System;
+ Keywords=Window Manager

diff --git a/x11-wm/sawfish/sawfish-1.12.0.ebuild b/x11-wm/sawfish/sawfish-1.12.0.ebuild
new file mode 100644
index 00000000000..0c22bd469e3
--- /dev/null
+++ b/x11-wm/sawfish/sawfish-1.12.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils elisp-common
+
+MY_P="${P/-/_}"
+DESCRIPTION="Extensible window manager using a Lisp-based scripting language"
+HOMEPAGE="http://sawfish.wikia.com/"
+SRC_URI="http://download.tuxfamily.org/sawfish/${MY_P}.tar.xz"
+
+LICENSE="GPL-2 Artistic-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="emacs kde nls xinerama"
+
+RDEPEND="
+	emacs? ( virtual/emacs !app-emacs/sawfish )
+	>=dev-libs/librep-0.92.1
+	>=x11-libs/rep-gtk-0.90.7
+	x11-libs/pangox-compat
+	x11-libs/gdk-pixbuf:2[X]
+	>=x11-libs/gtk+-2.24.0:2
+	x11-libs/libXtst
+	kde? ( kde-frameworks/kdelibs4support )
+	nls? ( sys-devel/gettext )
+	xinerama? ( x11-libs/libXinerama )
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	# From Fedora
+	"${FILESDIR}"/${P}-desktop.patch
+)
+
+DOCS=( AUTHORS ChangeLog CONTRIBUTING doc/AUTOSTART doc/KEYBINDINGS doc/OPTIONS doc/XSettings MAINTAINERS NEWS README README.IMPORTANT TODO )
+
+src_configure() {
+	set -- \
+		$(use_with kde kde5session) \
+		$(use_with xinerama) \
+		--with-gdk-pixbuf \
+		--without-kde4session \
+		--disable-static
+
+	if ! use nls; then
+		# Use a space because configure script reads --enable-linguas=""
+		# as "install everything". Don't use --disable-linguas, because
+		# that means --enable-linguas="no", which means "install
+		# Norwegian translations".
+		set -- "$@" --enable-linguas=" "
+	elif [[ "${LINGUAS+set}" == "set" ]]; then
+		strip-linguas -i po
+		set -- "$@" --enable-linguas=" ${LINGUAS} "
+	else
+		set -- "$@" --enable-linguas=""
+	fi
+
+	econf "$@"
+}
+
+src_compile() {
+	default
+	use emacs && elisp-compile sawfish.el
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+
+	if use emacs; then
+		elisp-install ${PN} sawfish.{el,elc}
+		elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+	fi
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2018-05-27 18:02 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-05-27 18:02 [gentoo-commits] repo/gentoo:master commit in: profiles/arch/powerpc/ppc32/, x11-wm/sawfish/, x11-wm/sawfish/files/ Pacho Ramos

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox